Summary:        Multitouch Protocol Translation Library
Name:           mtdev
Version:        1.1.6
Release:        4%{?dist}
License:        MIT
URL:            http://bitmath.org/code/mtdev/
Source0:        %{url}/%{name}-%{version}.tar.bz2

BuildRequires:  autoconf automake libtool gcc make 

%description
The mtdev is a stand-alone library which transforms all variants of kernel MT
events to the slotted type B protocol. The events put into mtdev may be from
any MT device, specifically type A without contact tracking, type A with contact
tracking, or type B with contact tracking.

%package devel
Summary:        Multitouch Protocol Translation Library Development Package
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Development libraries and header files for using mtdev.

%prep
%autosetup

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
rm -rf %{buildroot}
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files
%license COPYING
%doc README
%{_libdir}/libmtdev.so.*

%files devel
%{_bindir}/mtdev-test
%{_includedir}/mtdev.h
%{_includedir}/mtdev-plumbing.h
%{_includedir}/mtdev-mapping.h
%{_libdir}/libmtdev.so
%{_libdir}/pkgconfig/mtdev.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.6-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 31 2022 Wang Zhe <bessiewang@tencent.com> - 1.1.6-1
- initial build
